Subject: Diff and symlinks

From: Ben Boeckel <[email-masked]>
Date: Mon, 2 Mar 2015 20:12:00 -0500

Hi,

When making recursive diffs, diff resolves symlinks. This creates
invalid patches since patch refuses to patch through a symlink. A -L
option to either turn on or off symlink resolution would be nice to
have.

See patch failure here:

    https://kojipkgs.fedoraproject.org//work/tasks/5157/9125157/build.log

Thanks,

--Ben